<template>
	
	<!-- xxxxxxxxxxxxxxxxxx S-RP-04 PREGUNTA 4 xxxxxxxxxxxxxxxxxxx -->
	<div class="fadeOutRight content-data contentenedor-pregunta lectura  col-md-10 offset-md-1">
		<div class="col-md-12 content-pregunta" style="overflow:scroll;padding:10px;">

			<div class="content-ask">
				<h2>{{ value.question }}</h2>
			</div>

			<!--<div class="col-md-12 ">
				<img :src="value.img">	
			</div>		-->		
			
			<div class="col-md-12 btn-responsive" style="text-align:center;">
				<button @click.prevent="checkAnswer(choice)" 
						:key="index" v-for="(choice, index) in choicesShuffled" 
						type="button" :class="choice.options.style"
						class="btn btn-rounded mt-2 pt-1 pb-1 waves-effect waves-light" 
						:style="choice.options.border" :disabled="pass">
					{{ choice.label }}
				</button>
			</div>

		</div>
	</div>
</template>


<script>
	import _ from 'lodash'
	import { mapActions,
			 mapGetters } 	from 'vuex'
	import ResultTypes 		from '../../../../utils/ResultTypes'
	import { config }  		from './config'

	export default {
		name	: config.component,
		props	: config.props,
		methods : {
			checkAnswer(choice){
				if( this.pass ) return ;
				let result 	 = choice.options.correct ? ResultTypes.PASSED  : ResultTypes.FAILED
				choice.options.style = choice.options.correct ? "btn-success" : "btn-danger"
				this.evaluate(result)		
			},
	  		...mapActions([
		      'evaluate',
			]),
		},
	  	computed: {
	  		...mapGetters([
		      'pass',
			]),
			choicesShuffled(){
				return _.shuffle(this.value.choices)
			}
		  },
	}
  	
</script>